#pragma once

#include <memory>
#include <stdexcept>

#define QT_NO_SIGNALS_SLOTS_KEYWORDS
#include <QImage>
#include <QList>

class CalligraphyProcess {
public:
  CalligraphyProcess();
  ~CalligraphyProcess();

  void findCalligraphers(const QImage &image, QImage &imageOut, QList<int> &indices);

private:
  class Impl;

  std::unique_ptr<Impl> mImpl;
};
